This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 464383 - xorg-x11-drv-ati-6.8.0-19.fc9.i386 corrupts X screen
xorg-x11-drv-ati-6.8.0-19.fc9.i386 corrupts X screen
Status: CLOSED DUPLICATE of bug 498457
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-27 22:14 EDT by Mitch Davis
Modified: 2009-06-30 07:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 07:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My xorg.conf file (I think it's stock) (799 bytes, text/plain)
2008-09-29 07:54 EDT, Mitch Davis
no flags Details
Xorg.0.log with xorg-x11-drv-ati-6.8.0-14.fc9.i386 and an xorg.conf file (29.04 KB, text/plain)
2008-09-29 09:19 EDT, Mitch Davis
no flags Details
Xorg.0.log with xorg-x11-drv-ati-6.8.0-14.fc9.i386 and NO xorg.conf file (32.40 KB, text/plain)
2008-09-29 09:22 EDT, Mitch Davis
no flags Details
Xorg.0.log with xorg-x11-drv-ati-6.8.0-19.fc9.i386 and an xorg.conf file (32.64 KB, text/plain)
2008-09-29 09:23 EDT, Mitch Davis
no flags Details
Xorg.0.log with xorg-x11-drv-ati-6.8.0-19.fc9.i386 and NO xorg.conf file (29.97 KB, text/plain)
2008-09-29 09:27 EDT, Mitch Davis
no flags Details
Phonecam shot of screen when cold booted into X (359.21 KB, image/jpeg)
2008-09-29 09:40 EDT, Mitch Davis
no flags Details

  None (edit)
Description Mitch Davis 2008-09-27 22:14:21 EDT
Recently I received an update of xorg-x11-drv-ati-6.8.0-19.fc9.i386 via yum update.  On rebooting, the screen was corrupted when X starts.

Version-Release number of selected component (if applicable):

  xorg-x11-drv-ati-6.8.0-19.fc9.i386

Reverting to xorg-x11-drv-ati-6.8.0-14.fc9.i386 causes the problem to go away.

How reproducible:

1. Accept offer to install xorg-x11-drv-ati-6.8.0-19.fc9.i386.
2. Reboot
3. X starts, but display is corrupted.
  
Actual results:

  Mouse cursor is drawn correctly (and will move, albeit very slowly, when mouse is moved) but otherwise what is displayed is garbage, with no apparent correspondence between what is displayed and what is expected.  Text consoles cannot be selected (Ctrl-Alt-Fn), and server cannot be killed (Ctrl-Alt-Bksp).  I rebooted into run level 3 so I could roll back the RPM.

Additional info:

Sorry I don't have more info.  What would you like?  What can I do to give you more info?
Comment 1 Mitch Davis 2008-09-27 22:19:33 EDT
Could be related to bug 462157, although the problems in that bug are already present in xorg-x11-drv-ati-6.9.0-14.fc10.i386.

Toshiba A100 laptop.  Radeon Xpress 200M graphics chip.
Comment 2 Matěj Cepl 2008-09-29 03:13:44 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Mitch Davis 2008-09-29 07:54:01 EDT
Created attachment 317959 [details]
My xorg.conf file (I think it's stock)
Comment 4 Mitch Davis 2008-09-29 09:19:23 EDT
Created attachment 317974 [details]
Xorg.0.log with xorg-x11-drv-ati-6.8.0-14.fc9.i386 and an xorg.conf file
Comment 5 Mitch Davis 2008-09-29 09:22:13 EDT
Created attachment 317975 [details]
Xorg.0.log with xorg-x11-drv-ati-6.8.0-14.fc9.i386 and NO xorg.conf file
Comment 6 Mitch Davis 2008-09-29 09:23:45 EDT
Created attachment 317976 [details]
Xorg.0.log with xorg-x11-drv-ati-6.8.0-19.fc9.i386 and an xorg.conf file
Comment 7 Mitch Davis 2008-09-29 09:27:31 EDT
Created attachment 317978 [details]
Xorg.0.log with xorg-x11-drv-ati-6.8.0-19.fc9.i386 and NO xorg.conf file
Comment 8 Mitch Davis 2008-09-29 09:40:12 EDT
Created attachment 317980 [details]
Phonecam shot of screen when cold booted into X

Mouse can be moved (sluggishly).  I think the green at the top is stuff from text mode.  I couldn't see any changes to the screen image apart from the mouse movement.
Comment 9 Mitch Davis 2008-09-29 09:47:08 EDT
I have attached Xorg.0.log files for -14 and -19, with and without my
/etc/X11/xorg.conf in place, as well as a phonecam screenshot.

Please let me know if there's anything more I can do.  THANK YOU!
Comment 10 Mitch Davis 2008-10-01 05:10:53 EDT
Last night I said yes to PackageKit's list of packages to update.  Silly me, it included xorg-x11-drv-ati-6.8.0-19.fc9.i386.  Busted X again :-)

Looking forward to hearing from you about this one.
Comment 11 Jóhann B. Guðmundsson 2008-12-01 06:37:57 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 12 Mitch Davis 2008-12-02 22:14:46 EST
I don't get the same problem under Fedora 10.  I will try the updated packages for Fedora 9, as I still need Fedora 9.  Thanks.
Comment 13 Matěj Cepl 2008-12-04 19:05:53 EST
OK, waiting on your report about Fedora 9.
Comment 14 Matěj Cepl 2009-01-27 21:09:09 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 15 Mitch Davis 2009-02-11 17:18:58 EST
I went to try a new version of xorg-x11-drv-ati from koji.  It appears there is no newer version of xorg-x11-drv-ati for F9, only F10 and F11.

The screen corruption problem does not occur on this laptop with F10, only F9.

When I try installing the F10 rpm under my F9 installation, rpm complains that the version of libdrm I have under F9 (2.4.0-0.13) is not new enough (xorg-x11-drv-ati wants 2.4.0-0.21).

Can you please advise me on how I can test a newer version of xorg-x11-drv-ati for F9?  Thank you.
Comment 16 Matěj Cepl 2009-02-11 19:42:47 EST
(In reply to comment #15)
> Can you please advise me on how I can test a newer version of xorg-x11-drv-ati
> for F9?  Thank you.

You probably cannot unless you are able to recompile whole Xorg out of git (which you probably cannot -- those need to ask, don't know the answer).
Comment 17 Bug Zapper 2009-06-09 22:49:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Mitch Davis 2009-06-30 06:20:40 EDT
Hello Matej,

I reported this ATI 200M bug against F9 back in september last year.  I've had to stay at xorg-x11-drv-ati-6.8.0-14.fc9.i386 since then.

I would be happy if this bug were to be declared as a duplicate of bug 498457.
Comment 19 Matěj Cepl 2009-06-30 07:53:22 EDT

*** This bug has been marked as a duplicate of bug 498457 ***

Note You need to log in before you can comment on or make changes to this bug.